# PSF-LoginServer - master - net.psforever.objects.geometry.Geometry
PSF - LoginServer - master - net.psforever.objects.geometry.Geometry
Keywords: PSF LoginServer master net.psforever.objects.geometry.Geometry

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
-  package d3
  Definition Classes
    geometry
- AxisAlignment
- AxisAlignment2D
- AxisAlignment3D
- Geometry
- GeometryForm
- Line
- Point
- PrimitiveGeometry
- Segment
- Slope

o

net.psforever.objects.geometry

# Geometry

###

#### object Geometry

Calculation support for the geometric code.

Source
  Geometry.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Geometry
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def closeToInsignificance(d: Float, epsilon: Float = 10f): Float

   Is the value close enough to be zero to be equivalently replaceable with zero?

   Is the value close enough to be zero to be equivalently replaceable with zero?

   d

     the original number

   epsilon

     how far from zero the value is allowed to stray

   returns

     the original number, or zero

   See also

     `math.abs`

     `math.signum`

     `math.ulp`

     `Vector3.closeToInsignificance`

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equalFloats(value1: Float, value2: Float, off: Float = 0.001f): Boolean

   Are two `Float` numbers equal enough to be considered equal?

   Are two `Float` numbers equal enough to be considered equal?

   value1

     the first value

   value2

     the second value

   off

     how far the number can be inequal from each other

   returns

     `true`, if the two `Float` numbers are close enough to be considered equal; `false`, otherwise

9.  def equalVectors(value1: Vector3, value2: Vector3, off: Vector3): Boolean

   Are two `Vector3` entities equal enough to be considered equal?

   Are two `Vector3` entities equal enough to be considered equal?

   value1

     the first coordinate triple

   value2

     the second coordinate triple

   off

     how far each individual coordinate can be inequal from the other

   returns

     `true`, if the two `Vector3` entities are close enough to be considered equal; `false`, otherwise

   See also

     `equalFloats`

10.  def equalVectors(value1: Vector3, value2: Vector3, off: Float = 0.001f): Boolean

    Are two `Vector3` entities equal enough to be considered equal?

    Are two `Vector3` entities equal enough to be considered equal?

    value1

      the first coordinate triple

    value2

      the second coordinate triple

    off

      how far any individual coordinate can be inequal from each other

    returns

      `true`, if the two `Vector3` entities are close enough to be considered equal; `false`, otherwise

    See also

      `equalFloats`

11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped